Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class ExtendedParserTest

    java.lang.Object
      com.singularsys.jeptests.JepTest
          com.singularsys.jeptests.ExtendedParserTest

    public class ExtendedParserTest

extends JepTest

Tests for the configurable parser.

Field Summary

Fields inherited from class com.singularsys.jeptests.JepTest
`jep, myFalse, myTrue, PRINT_RESULTS`

Constructor Summary
`ExtendedParserTest()`

Method Summary
`void` | `setUp()` Sets up the parser.
`void` | `testBitwise()`
`void` | `testComplex()`
`void` | `testFunction()`
`void` | `testIncrement()`
`void` | `testLazyLogical()`
`void` | `testLazyLogicalBug()` Test for bug with 1&&1&&1
`void` | `testLogical()`
`void` | `testNumParam()`
`void` | `testOpEquals()`
`void` | `testOverlappingNames()`
`void` | `testParseException()` Tests whether a parse exceptions are thrown when they should be.
`void` | `testPlusPlus()`
`void` | `testStrings()`
`void` | `testTernary()`
`void` | `testUpperCaseOperator()`
`void` | `testX2Y()`

Methods inherited from class com.singularsys.jeptests.JepTest
`assertEqNodes, calcValue, calcValue, compareRecursive, complexValueTest, myAssertEquals, myAssertNaN, nodeTest, nodeTest, nodeTest, nodeTest, printTestHeader, testAssign, testBinom, testBlankParser, testCaseString, testChangeVariable, testChangeVariableComplex, testComments, testEmptyEqn, testEmptyEqn2, testEvalExceptions, testEvaluate, testEvaluateComplex, testEvaluateString, testExpectedTokenSequence, testFormat, testIf, testImplicitMul, testListAccess, testLogarithm, testMacroFunction, testMultiDimArray, testMultiLine, testMultiplyBug, testNaN, testNoAssign, testNumbers, testRecursiveMacroFunction, testSemiColon, testSetAllowUndeclared, testSimpleSum, testStringsFun, testSwitch, testUminusPower, valueTest, valueTest, valueTestFail, valueTestNaN, valueTestString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedParserTest

    public ExtendedParserTest()

Method Detail

### setUp

    public void setUp()

  Description copied from class: `JepTest`
  Sets up the parser.

  Overrides:
    `setUp` in class `JepTest`

### testBitwise

    public void testBitwise()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testTernary

    public void testTernary()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testComplex

    public void testComplex()
                     throws java.lang.Exception

  Overrides:
    `testComplex` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testFunction

    public void testFunction()
                      throws java.lang.Exception

  Overrides:
    `testFunction` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testPlusPlus

    public void testPlusPlus()
                      throws java.lang.Exception

  Overrides:
    `testPlusPlus` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testIncrement

    public void testIncrement()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testOpEquals

    public void testOpEquals()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLogical

    public void testLogical()
                     throws java.lang.Exception

  Overrides:
    `testLogical` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testLazyLogical

    public void testLazyLogical()
                         throws java.lang.Exception

  Overrides:
    `testLazyLogical` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testNumParam

    public void testNumParam()
                      throws java.lang.Exception

  Overrides:
    `testNumParam` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testX2Y

    public void testX2Y()
                 throws java.lang.Exception

  Overrides:
    `testX2Y` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testStrings

    public void testStrings()
                     throws java.lang.Exception

  Overrides:
    `testStrings` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testUpperCaseOperator

    public void testUpperCaseOperator()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testParseException

    public void testParseException()

  Description copied from class: `JepTest`
  Tests whether a parse exceptions are thrown when they should be. See ticket #50 Tests on both the standard parser and the configurable parser, is carried out by CPTest which extends this.

  Overrides:
    `testParseException` in class `JepTest`

### testOverlappingNames

    public void testOverlappingNames()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLazyLogicalBug

    public void testLazyLogicalBug()
                            throws java.lang.Exception

  Description copied from class: `JepTest`
  Test for bug with 1&&1&&1

  Overrides:
    `testLazyLogicalBug` in class `JepTest`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep